.impaired {
	background-color: var(--vc-white);
	color: var(--vc-black);
	padding: 15px 20px;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	justify-content: center;
	grid-gap: 32px;
	gap: 32px;
	display: none;

	@media (max-width: 767px) {
		-ms-flex-wrap: wrap;
		flex-wrap: wrap;
	}
	@media (max-width: 414px) {
		grid-gap: 8px;
		gap: 8px;
	}
}
.impaired--active {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
}
.impaired__section {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	justify-content: center;
	grid-gap: 8px;
	gap: 8px;
}
.impaired__icon {
	width: 42px;
	height: 42px;
	border-radius: 4px;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	justify-content: center;
	font-weight: 700;
	cursor: pointer;
	-webkit-transition: 0.3s;
	-o-transition: 0.3s;
	transition: 0.3s;
}
.impaired__section--fonts .impared__icon--active {
	background-color: var(--mdc-black);
	color: var(--mdc-white);
}
.body--fs14 * {
	font-size: 14px !important;
}
.body--fs16 * {
	font-size: 16px !important;
}
.body--fs18 * {
	font-size: 18px !important;
}
.body--fs20 * {
	font-size: 20px !important;
}
.body--fs22 * {
	font-size: 22px !important;
}
.body--fs24 * {
	font-size: 24px !important;
}
.impaired__icon--fs14 {
	font-size: 13px !important;
}
.impaired__icon--fs16 {
	font-size: 16px !important;
}
.impaired__icon--fs18 {
	font-size: 18px !important;
}
.impaired__icon--fs20 {
	font-size: 20px !important;
}
.impaired__icon--fs22 {
	font-size: 22px !important;
}
.impaired__icon--fs24 {
	font-size: 24px !important;
}
.body--grayscale img {
	-webkit-filter: grayscale(1);
	filter: grayscale(1);
}
.impaired__icon--bow {
	font-size: 20px !important;
	background-color: var(--mdc-white);
	color: var(--mdc-black);
	border: 1px solid var(--mdc-black);
}
.impaired__icon--wob {
	font-size: 20px !important;
	background-color: var(--mdc-black);
	color: var(--mdc-white);
	border: 1px solid var(--mdc-black);
}
.impaired__icon--yob {
	font-size: 20px !important;
	background-color: var(--mdc-blue-dark);
	color: var(--mdc-yellow);
	border: 1px solid var(--mdc-blue-dark);
}
.impaired__icon--grayscale,
.impaired__icon--img,
.impaired__icon--no-img {
	border-radius: 0;

	&.impared__icon--active {
		border-top: 2px dashed var(--mdc-black);
		border-bottom: 2px dashed var(--mdc-black);
	}
}
.body--no-img img {
	display: none;
}
.body-bow {
	color: var(--mdc-black);
	background-color: var(--mdc-white);
}
.body--wob {
	color: var(--mdc-white);
	background-color: var(--mdc-black);
}
.body--yob {
	color: var(--mdc-yellow);
	background-color: var(--mdc-blue-dark);
}
